//////////////////// Agenda file for CalendarXP 9.0 /////////////////
// This file is totally configurable. You may remove all the comments in this file to minimize the download size.
/////////////////////////////////////////////////////////////////////

// fAppendEvent is defined in the plugins.js

//////////////////// Define agenda events ///////////////////////////
// Usage -- fAddEvent(year, month, day, message, action, bgcolor, fgcolor, bgimg, boxit, html);
// Notice:
// 1. The (year,month,day) identifies the date of the agenda.
// 2. In the action part you can use any javascript statement, or use " " for doing nothing.
// 3. Assign "null" value to action will result in a line-through effect(can't be selected).
// 4. html is the HTML string to be shown inside the agenda cell, usually an <img> tag.
// 5. fgcolor is the font color for the specific date. Setting it to ""(empty string) will make the fonts invisible and the date unselectable.
// 6. bgimg is the url of the background image file for the specific date.
// 7. boxit is a boolean that enables the box effect using the bgcolor when set to true.
// ** REMEMBER to enable respective flags of the gAgendaMask option in the theme, or it won't work.
/////////////////////////////////////////////////////////////////////
fAppendEvent(2003,3,28," March 28, 2003 \n Click to detect calendar size. ","alert('Here is the current size of the calendar - \"width='+gfSelf.offsetWidth+' height='+gfSelf.offsetHeight+'\"');","#87ceeb","dodgerblue");
fAppendEvent(2002,12,14," Click the sub events for details... ","",null,null,"OS13.jpg",false,"<div align=left class='MsgBoard' title=' 6:00pm-7:30pm Dinner @ Green Wood \n Delicious food with drink unlimited. ' onmousedown='alert(\"Dining for what I like!\")'>18:00 dinner</div>");
fAppendEvent(2002,12,14,"",null,null,null,null,null,"<div align=left class='MsgBoard' title=' 8:00pm - 11:30pm Party @ Central Park. \n Have fun and enjoy yourself. ' onmousedown='alert(\"Party for what we like!\")'>20:00 party</div>");


///////////// Dynamic holiday calculations /////////////////////////
// This function provides you a flexible way to make holidays of your own. (It's optional.)
// Once defined, it'll be called every time the calendar engine renders the date cell;
// With the date passed in, just do whatever you want to validate whether it is a desirable holiday;
// Finally you should return an agenda array like [message, action, bgcolor, fgcolor, bgimg, boxit, html] 
// to tell the engine how to render it. (returning null value will make it rendered as default style)
// ** REMEMBER to enable respective flags of the gAgendaMask option in the theme, or it won't work.
////////////////////////////////////////////////////////////////////
function fHoliday(y,m,d) {
	var rE=fGetEvent(y,m,d), r=null;

	// you may have sophisticated holiday calculation set here, following are only simple examples.
	if (m==1&&d==1)
		r=[" Jan 1, "+y+" \n Happy New Year! ", "alert('Happy New Year!')", null, null, "Holiday.jpg", false, "<div align=left class='MsgBoard'>Happy New Year!</div>"];
	else if (m==12&&d==25)
		r=[" Dec 25, "+y+" \n Merry X'mas! ", null, null, null, "Holiday.jpg"];	// show a line-through effect
	else if (m==5&&d>20) {
		var date=getDateByDOW(y,5,5,1);	// Memorial day is the last Monday of May
		if (d==date) r=["May "+d+", "+y+" \n Memorial Day ", gsAction, "#4682b4", "white"];
	}

	
	return rE?rE:r;	// favor events over holidays
}


