/*
  CountDown
  
  Written by Michael Kraus
  Version 1.1
  JDK 1.0
  
  CHANGES:
  21-03-2001: CountUp

  Email: michael.kraus@informatik.uni-muenchen.de
  Homepage: www.informatik.uni-muenchen.de/~_michael.kraus/countdown.html
  
  <!--
  Example HTML code:
  <APPLET code="CountDown.class" width=80 height=40>
  <PARAM name="date" value="1 Nov 1999">
  <PARAM name="bgcolor" value="000000">
  </APPLET>
  -->
*/

import java.applet.*;
import java.awt.*;
import java.util.*;

public class CountDown extends Applet
{
    private static final String[] digitImageFile=
    {
	"zero.gif",
	"one.gif",
	"two.gif",
	"three.gif",
	"four.gif",
	"five.gif",
	"six.gif",
	"seven.gif",
	"eight.gif",
	"nine.gif"
    };
    
    private Image backgroundImage;
    private Image[] digitImage;
    
    private String outputString;
    
    private int space;
    
    private int x;
    private int y;
    
    public void init()
    {
	String parameter;
	ImageProvider imageProvider=new ImageProvider(this);
	
	if((parameter=getParameter("date"))!=null)
	    {
		if(getParameter("up")==null)
		    {
			outputString=String.valueOf(Math.max(0,(new Date(parameter).getTime()-new Date().getTime())/(1000*60*60*24)+1));
		    }
		else
		    {
			outputString=String.valueOf(Math.max(0,(new Date().getTime()-new Date(parameter).getTime())/(1000*60*60*24)+1));
		    }
	    }
	else
	    {
		outputString="666";
	    }
	
	if((parameter=getParameter("bgcolor"))!=null)
	    {
		setBackground(new Color(Integer.parseInt(parameter,16)));
	    }
	
	try
	    {
		digitImage=imageProvider.get(digitImageFile);
		
		if((parameter=getParameter("background"))!=null)
		    {
			backgroundImage=imageProvider.get(parameter);
		    }
	    }
	catch(Exception exception)
	    {
		exception.printStackTrace();
	    }
	
	if((parameter=getParameter("space"))!=null)
	    {
		space=Integer.parseInt(parameter,10);
	    }
	else
	    {
		space=1;
	    }
	
	Dimension dimension=size();
	
	if((parameter=getParameter("digitx"))!=null)
	    {
		x=Integer.parseInt(parameter);
	    }
	else
	    {
		x=-space;
		
		for(int n=0;n<outputString.length();n++)
		    {
			x+=digitImage[outputString.charAt(n)-'0'].getWidth(null)+space;
		    }
		
		x=(dimension.width-x)/2;
	    }
	
	if((parameter=getParameter("digity"))!=null)
	    {
		y=Integer.parseInt(parameter);
	    }
	else
	    {
		y=(dimension.height-digitImage[0].getHeight(null))/2;
	    }
    }
    
    public void paint(Graphics graphics)
    {
	int cursor=x;
	
	if(backgroundImage!=null)
	    {
		graphics.drawImage(backgroundImage,0,0,null);
	    }
	
	for(int n=0;n<outputString.length();n++)
	    {
		graphics.drawImage(digitImage[outputString.charAt(n)-'0'],cursor,y,null);
		cursor+=digitImage[outputString.charAt(n)-'0'].getWidth(null)+space;
	    }
    }
}
